libzypp 17.37.10

UrlBase.cc File Reference
`#include <zypp-core/url/UrlBase.h>`
`#include <zypp-core/base/String.h>`
`#include <zypp-core/base/Gettext.h>`
`#include <zypp-core/base/Regex.h>`
`#include <zypp-core/base/StringV.h>`
`#include <stdexcept>`
`#include <climits>`
`#include <errno.h>`
`#include <sys/types.h>`
`#include <sys/socket.h>`
`#include <arpa/inet.h>`
`#include <iostream>`
`#include <optional>`
`#include <utility>`

Go to the source code of this file.

## Classes
class | zypp::url::SafeQuerystr
| Hide passwords embedded in a querystr,. More...
class | zypp::url::UrlBaseData
| Internal data used by UrlBase. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::url
| Url details namespace.

## Macros
#define | a_zA_Z "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ"
#define | RX_VALID_SCHEME "^[" a_zA_Z "][" a_zA_Z "0-9\\.+-]*$"
#define | RX_VALID_PORT "^[0-9]{1,5}$"
#define | RX_VALID_HOSTNAME "^[[:alnum:]${_}]+([\\.-][[:alnum:]${_}]+)*$"
#define | RX_VALID_HOSTIPV4 "^([0-9]{1,3})\\.([0-9]{1,3})\\.([0-9]{1,3})\\.([0-9]{1,3})$"
#define | RX_VALID_HOSTIPV6 "^\\[[:a-fA-F0-9]+(:[0-9]{1,3}(\\.[0-9]{1,3}){3})?\\]$"

## Typedefs
using | zypp::url::UrlConfig = std::map<std::string, std::string>

## Macro Definition Documentation

## ◆ a_zA_Z

#define a_zA_Z "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ"

Definition at line 31 of file UrlBase.cc.

## ◆ RX_VALID_SCHEME

#define RX_VALID_SCHEME "^[" a_zA_Z "][" a_zA_Z "0-9\\.+-]*$"

Definition at line 39 of file UrlBase.cc.

## ◆ RX_VALID_PORT

#define RX_VALID_PORT "^[0-9]{1,5}$"

Definition at line 41 of file UrlBase.cc.

## ◆ RX_VALID_HOSTNAME

#define RX_VALID_HOSTNAME "^[[:alnum:]${_}]+([\\.-][[:alnum:]${_}]+)*$"

Definition at line 43 of file UrlBase.cc.

## ◆ RX_VALID_HOSTIPV4

#define RX_VALID_HOSTIPV4 "^([0-9]{1,3})\\.([0-9]{1,3})\\.([0-9]{1,3})\\.([0-9]{1,3})$"

Definition at line 45 of file UrlBase.cc.

## ◆ RX_VALID_HOSTIPV6

#define RX_VALID_HOSTIPV6 "^\\[[:a-fA-F0-9]+(:[0-9]{1,3}(\\.[0-9]{1,3}){3})?\\]$"

Definition at line 48 of file UrlBase.cc.